import { translate } from "@/plugins/i18n";
import { BaseError } from "../base/BaseError";
import { useSnackbarStore } from '@/store/SnackbarStore';


export class BadRequestError extends BaseError {
    message = translate('errorMessages.BadRequestError') ;
    dispatchError() {
      useSnackbarStore().showSnackbar(`${this.data.message}`, { color: 'error' })
    }
}
